hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thejas Nair <the...@hortonworks.com>
Subject Re: Use hive on hadoop 3.0.0
Date Mon, 14 Oct 2013 21:15:32 GMT
If you are using HIVE-TEZ branch, you also need tez (git clone
git@github.com:apache/tez.git). Publish the tez artifacts locally (mvn
clean install -DskipTests).
In hive, change build.properties to have
hadoop-0.23.version=Hadoop-3.0.0-SNAPSHOT.  Specifying that using
"-Dhadoop-0.23.version" in your ant command should also work. You
should also specify "-Dhadoop.mr.rev=23"

Btw, you can also use branch-2.1-beta branch of hadoop, which results
in version 2.1.2-SNAPSHOT currently.


Thanks,
Thejas


On Sat, Oct 12, 2013 at 4:27 PM, Tim Chou <timchou.hit@gmail.com> wrote:
> Dear Hivers,
>
> I am a user of HIVE ( or HIVE-TEZ banch). I want to let hive use on
> Hadoop-3.0.0-SNAPSHOT.
>
> I have changed hadoop version when I compiled hive. But it still doesn't
> work with Hadoop-3.0.0-SNAPSHOT.
>
> I don't know how to do in this situation. Can someone help me?
>
> Thanks,
> Tim
>

-- 
CONFIDENTIALITY NOTICE
NOTICE: This message is intended for the use of the individual or entity to 
which it is addressed and may contain information that is confidential, 
privileged and exempt from disclosure under applicable law. If the reader 
of this message is not the intended recipient, you are hereby notified that 
any printing, copying, dissemination, distribution, disclosure or 
forwarding of this communication is strictly prohibited. If you have 
received this communication in error, please contact the sender immediately 
and delete it from your system. Thank You.

Mime
View raw message